# Class CACommandExecutionFailure

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.cardant.error_codes.CAException
com.io7m.cardant.server.controller.command_exec.CACommandExecutionFailure

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<CAErrorCode>, com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>, Serializable`

public final class CACommandExecutionFailure extends CAException
A failure to execute a command.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CACommandExecutionFailure(String message, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, UUID inRequestId, int inHttpStatusCode)`
  Construct an exception.
  `CACommandExecutionFailure(String message, Throwable cause, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, UUID inRequestId, int inHttpStatusCode)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAIResponseBlame`
  `blame()`
  `int`
  `httpStatusCode()`
  `UUID`
  `requestId()`

  ### Methods inherited from class CAException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### CACommandExecutionFailure

    public CACommandExecutionFailure(String message, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, UUID inRequestId, int inHttpStatusCode)
    Construct an exception.
    Parameters:
      `message` - The message
      `inErrorCode` - The error kind
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any
      `inRequestId` - The request ID
      `inHttpStatusCode` - The HTTP status kind

  - ### CACommandExecutionFailure

    public CACommandExecutionFailure(String message, Throwable cause, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, UUID inRequestId, int inHttpStatusCode)
    Construct an exception.
    Parameters:
      `message` - The message
      `cause` - The cause
      `inErrorCode` - The error kind
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any
      `inRequestId` - The request ID
      `inHttpStatusCode` - The HTTP status kind

- ## Method Details

  - ### requestId

    public UUID requestId()
    Returns:
      The request ID

  - ### httpStatusCode

    public int httpStatusCode()
    Returns:
      The HTTP status kind

  - ### blame

    public CAIResponseBlame blame()
    Returns:
      The inferred blame from the exception